管理 On-Demand 集群
公测版本指南介绍如何管理 On-demand 集群。
查看全部 On-demand 集群
-
通过 RESTful API
您可以按如下方式列出所有 On-demand 集群:
bashexport BASE_URL="https://api.cloud.zilliz.com.cn"export TOKEN="YOUR_API_KEY"curl --request GET \--url "{BASE_URL}/v2/clusters/onDemandClusters?projectId={PROJECT_ID}®ionId=aws-us-west-2" \--header "Authorization: Bearer ${TOKEN}" \--header "Accept: application/json"以下是输出示例。
bash{"code": 0,"data": {"count": 2,"onDemandClusters": [{"clusterId": "in07-7d6ac8697204a6a","clusterName": "xxx","regionId": "ali-cn-beijing","cuSize": 8,"status": "SUSPENDED","endpoint": "https://proj-09ee1f4b1151d5dd1edbc5.aws-us-west-2.vectordb-uat3.zillizcloud.com","privateLink": "","createdBy": "admin@zilliz.com","createTime": 1745396115000}]}} -
通过 Web 控制台
1前往目标项目,点击按需计算 > 集群。
2您可以查看全部现有 On-demand 集群。
查看 On-demand 集群详情
-
通过 RESTful API
您可以按如下方式查看 On-demand 集群 详情:
bashexport BASE_URL="https://api.cloud.zilliz.com.cn"export TOKEN="YOUR_API_KEY"curl --request GET \--url "${BASE_URL}/v2/clusters/onDemandClusters/in07-7d6ac8697204a6a" \--header "Authorization: Bearer ${TOKEN}" \--header "Accept: application/json"以下是输出示例。
bash{"code": 0,"data": {"clusterId": "in07-7d6ac8697204a6a","clusterName": "xxx","regionId": "ali-cn-beijing","cuSize": 8,"status": "RUNNING","endpoint": "https://proj-09ee1f4b1151d5dd1edbc5.aws-us-west-2.vectordb-uat3.zillizcloud.com","privateLink": "","createdBy": "admin@zilliz.com","createTime": 1745396115000}} -
通过 Web 控制台
1前往目标项目,点击按需计算 > 集群。
2点击目标 On-demand 集群
3查看详情。
修改 On-demand 集群设置
您可以修改已创建的 On-demand 集群的设置。
-
通过 RESTful API
您可以按照如下方式修改 On-demand 集群的自动挂起时间。
bashexport TOKEN="YOUR_API_KEY"export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"curl --request PATCH \--url "https://${BASE_URL}/v2/clusters/onDemandClusters/in07-7d6ac8697204a6a" \--header "Authorization: Bearer ${API_KEY}" \--header "Accept: application/json" \--header "Content-Type: application/json" \--data-raw '{"autoSuspend": "5m","clusterName": "my-on-demand-updated","description": "Updated on-demand cluster description","cuSize": 32}'以下是输出示例。
bash{"code": 0,"data": {"clusterId": "inxx-xxxxxxxxxxxxxxx","prompt": "Successfully submitted."}} -
通过 Web 控制台
您可以通过 Web 控制台修改按需集群的名称、描述、Query CU 数量和自动挂起时间。

删除 On-demand 集群
🚧警告
删除集群后,系统会立即将其移除,且无法恢复。此操作不可撤销。
-
通过 RESTful API
您可以按如下方式删除 On-demand 集群:
bashexport BASE_URL="https://api.cloud.zilliz.com.cn"export TOKEN="YOUR_API_KEY"curl --request DELETE \--url "${BASE_URL}/v2/clusters/onDemandClusters/in07-7d6ac8697204a6a" \--header "Authorization: Bearer ${TOKEN}" \--header "Accept: application/json"以下是输出示例。
bash{"code": 0,"data": {"clusterId": "in07-7d6ac8697204a6a","status": "DELETING"}} -
通过 Web 控制台
1前往目标项目,点击按需计算 > 集群。
2点击目标 On-demand 集群。
3点击操作 > 删除。
4输入集群名称。
5点击删除。